xine-lib: opensles_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
opensles_driver_s Struct Reference

## Data Fields
ao_driver_t | ao_driver
xine_t * | xine
int32_t | sample_rate
uint32_t | num_channels
uint32_t | bits_per_sample
uint32_t | bytes_per_frame
void * | hlib
SLInterfaceID | SL_IID_myBUFFERQUEUE
SLInterfaceID | SL_IID_VOLUME
SLInterfaceID | SL_IID_PLAY
SLObjectItf | engine_object
SLObjectItf | output_mix_object
SLObjectItf | player_object
SLEngineItf | engine_if
SLPlayItf | player_if
SLVolumeItf | volume_if
SLBufferQueueItf | buffer_if
uint8_t * | buf
size_t | buf_elem_size
size_t | next_buf
size_t | buf_size

## Field Documentation

## ◆ ao_driver

ao_driver_t opensles_driver_s::ao_driver

## ◆ bits_per_sample

uint32_t opensles_driver_s::bits_per_sample

## ◆ buf

uint8_t* opensles_driver_s::buf

## ◆ buf_elem_size

size_t opensles_driver_s::buf_elem_size

## ◆ buf_size

size_t opensles_driver_s::buf_size

## ◆ buffer_if

SLBufferQueueItf opensles_driver_s::buffer_if

## ◆ bytes_per_frame

uint32_t opensles_driver_s::bytes_per_frame

## ◆ engine_if

SLEngineItf opensles_driver_s::engine_if

## ◆ engine_object

SLObjectItf opensles_driver_s::engine_object

## ◆ hlib

void* opensles_driver_s::hlib

## ◆ next_buf

size_t opensles_driver_s::next_buf

## ◆ num_channels

uint32_t opensles_driver_s::num_channels

## ◆ output_mix_object

SLObjectItf opensles_driver_s::output_mix_object

## ◆ player_if

SLPlayItf opensles_driver_s::player_if

## ◆ player_object

SLObjectItf opensles_driver_s::player_object

## ◆ sample_rate

int32_t opensles_driver_s::sample_rate

## ◆ SL_IID_myBUFFERQUEUE

SLInterfaceID opensles_driver_s::SL_IID_myBUFFERQUEUE

## ◆ SL_IID_PLAY

SLInterfaceID opensles_driver_s::SL_IID_PLAY

## ◆ SL_IID_VOLUME

SLInterfaceID opensles_driver_s::SL_IID_VOLUME

## ◆ volume_if

SLVolumeItf opensles_driver_s::volume_if

## ◆ xine

xine_t* opensles_driver_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/audio_out/audio_opensles_out.c